Kobymaru

[1.3.1-1.7.2] Trajectories v2.2.3 (2019-06-17) : atmospheric predictions

Recommended Posts

1 hour ago, BlackHat said:

Someone else may recognize the mod and be able to name it.  

The ones I use are Flight Manager for Reusable Stages (Continued) (FMRS) and Stage Recovery (SR).  They are integrated.  The one you're probably thinking of is FMRS

 

Share this post


Link to post
Share on other sites
On ‎1‎/‎4‎/‎2019 at 10:01 PM, Kobymaru said:

I think we might have made a mistake with the "backport" releases: we prepended the KSP version to the Trajectories version, and the CKAN robots might have gotten confused. I'll try to sort it out in the next release.

I have something for the next release that should if it works ok, allow for a single Trajectories release to work on all versions of KSP.
Same thing that is done with the latest releases of Kerbalism ;)

Share this post


Link to post
Share on other sites

I have an issue where after some time with the game open and a few save/reloads, sometimes the trajectories GUI window refuses to open

Has anyone experienced the same problem ?

Share this post


Link to post
Share on other sites
On 2/8/2019 at 3:40 AM, lBoBl said:

I have an issue where after some time with the game open and a few save/reloads, sometimes the trajectories GUI window refuses to open

Has anyone experienced the same problem ?

What version of KSP are you using?

Share this post


Link to post
Share on other sites

Nice mod for sure, it definitely helps with landing my first stages on the VAB's helipads...

However, slightly problematic is the fact that airbrakes don't seem to be taken into account for the drag calculations, so I end up slightly short of Trajectories original prediction. Simple solution, though - just aim slightly beyond your target.
Don't know if that has been mentioned yet, or if it even is possible to fix this.

Share this post


Link to post
Share on other sites
13 hours ago, Delay said:

Nice mod for sure, it definitely helps with landing my first stages on the VAB's helipads...

However, slightly problematic is the fact that airbrakes don't seem to be taken into account for the drag calculations, so I end up slightly short of Trajectories original prediction. Simple solution, though - just aim slightly beyond your target.
Don't know if that has been mentioned yet, or if it even is possible to fix this.

The mod predicts on the current state of the vessel. If you haven't tried this yet, try extending the airbrakes in space while planning your maneuver. That should make it take the airbrakes into account for the prediction.

I'm just going by what others have said though. I haven't tried this myself.

Edited by strudo76

Share this post


Link to post
Share on other sites

This going to get a ckan update for ksp 1.6, so we don't have to manually install it, and can just use ckan?

Share this post


Link to post
Share on other sites
5 hours ago, Trulight said:

This going to get a ckan update for ksp 1.6, so we don't have to manually install it, and can just use ckan?

I'll throw one together ;)

 

Share this post


Link to post
Share on other sites

New release is up!

Version 2.2.2 for all versions of KSP from v1.3.1 to v1.6.x

Download from GitHub or Spacedock

Full Changelog:

Spoiler

## v2.2.2 for all versions of KSP from 1.3.1 to 1.6.x
 - 2019-02-14

### Changes since the last release

 * Support for KSP 1.5.x and 1.6.x

 * Japanese translation updated, thanks to ebigunso
 * Fix drifting target marker when above 100 km (Issue #140)
 * Read KSC location for targeting from the game, instead of a hardcoded value
 * ModuleManager is no longer bundled with Trajectories but it is still a requirement
 * New release format to allow the facilitation of one download zip for all KSP versions from 1.3.1 onwards.
 
### For Developers
 
 * KSP1.3.1 Back port builds can now be built from the Visual Studio Config selector, see CONTRIBUTING.md 
 * Support for development on mac now included, also with help in the CONTRIBUTING.md file (Sir Mortimer)
 * API Change: If `SetTarget`'s alt parameter is null or not given, the altitude is calculated from the surface altitude.
 

 

For those not aware, the latest version of MM that works with your version of KSP is recommended.

1 hour ago, Trulight said:

Thanks Piez really appreciate it.

np, needed doing

Share this post


Link to post
Share on other sites
9 hours ago, Trulight said:

This going to get a ckan update for ksp 1.6, so we don't have to manually install it, and can just use ckan?

uninstalling, clearing cache, and re-installing got me up to latest via ckan :) (from the ksp- backport version)

Share this post


Link to post
Share on other sites
14 minutes ago, catonthekbd said:

uninstalling, clearing cache, and re-installing got me up to latest via ckan :) (from the ksp- backport version)

I just refreshed the repository and it was there :)

Share this post


Link to post
Share on other sites
2 hours ago, Trulight said:

I just refreshed the repository and it was there :)

it was there for me as latest version as well, but ckan would not update from the ksp- version until I had nuked it from the cache

Share this post


Link to post
Share on other sites
On 2/8/2019 at 5:40 AM, lBoBl said:

I have an issue where after some time with the game open and a few save/reloads, sometimes the trajectories GUI window refuses to open

Has anyone experienced the same problem ?

Yar I also have this problem, deleting the config file and restarting the game seems to fix but it tends to happen regularly.

I get the feeling the popup window isn't de-activated, just hidden out of frame or something, as often it is inexplicably moved to halfway off my screen, it's a bit weird.

Share this post


Link to post
Share on other sites
11 hours ago, TheBok said:

Yar I also have this problem, deleting the config file and restarting the game seems to fix but it tends to happen regularly.

I get the feeling the popup window isn't de-activated, just hidden out of frame or something, as often it is inexplicably moved to halfway off my screen, it's a bit weird.

What Trajectories and KSP versions are you using ?

Share this post


Link to post
Share on other sites
4 hours ago, PiezPiedPy said:

What Trajectories and KSP versions are you using ?

2.2.2 Trajectories and 1.6.1 KSP.

 

*typo*

Edited by TheBok

Share this post


Link to post
Share on other sites
17 hours ago, TheBok said:

2.2.2 Trajectories and 1.6.1 KSP.

Hmmm :/ k thx

I'll put it on the list

Share this post


Link to post
Share on other sites

Hi there, I'm using the 2.2.2 version of Trajectories and running KSP 1.6.1 as a fresh install with a variety of mods. 

Looking through my log, I'm noticing a few EXCEPTION spams and thought I'd check this thread to see what might be the issue?

Here's an example of the error:

[EXC 19:37:12.036] IndexOutOfRangeException: Array index is out of range.
	(wrapper managed-to-managed) object:ElementAddr_3_8 (object,int,int,int)
	Trajectories.AeroForceCache.GetCachedForce (Int32 v, Int32 a, Int32 m)
	Trajectories.AeroForceCache.Sample2d (Int32 vFloor, Single vFrac, Int32 aFloor, Single aFrac, Int32 mFloor)
	Trajectories.AeroForceCache.Sample3d (Int32 vFloor, Single vFrac, Int32 aFloor, Single aFrac, Int32 mFloor, Single mFrac)
	Trajectories.AeroForceCache.GetForce (Double velocity, Double angleOfAttack, Double altitude)
	Trajectories.VesselAerodynamicModel.GetForces (.CelestialBody body, Vector3d bodySpacePosition, Vector3d airVelocity, Double angleOfAttack)
	Trajectories.Trajectory+<>c__DisplayClass51_0.<AddPatch>b__0 (Vector3d position, Vector3d velocity)
	Trajectories.Trajectory.RK4Step (SimulationState state, System.Func`3 accelerationFunc, Double dt, .Vector3d& accel)
	Trajectories.Trajectory+<AddPatch>d__51.MoveNext ()
	Trajectories.Trajectory+<ComputeTrajectoryIncrement>d__42.MoveNext ()
	Trajectories.Trajectory.ComputeTrajectory (.Vessel vessel, Trajectories.DescentProfile profile)

I can provide a full log file if necessary (I didn't want to bother you with a big log file) but that's basically the main error.

Thanks for any input! 

Share this post


Link to post
Share on other sites
Posted (edited)

Great mod. I've tried for a long time to manually predict where I'm going to end up after re-entry, but could never get it quite right. Thanks.

I'm having a small issue, though. After returning to the KSC from any flight, the Adjustable Mod Panel goes berserk. Previously hidden icons crop up again, and cannot be hidden until the next game restart. It also displays strangely in that panel, showing as "Trajectories.bin" instead of simply "Trajectories" akin to the other mods. Uninstalling this mod immediately fixes the issue.

Edited by woodbyte

Share this post


Link to post
Share on other sites
Posted (edited)
13 hours ago, woodbyte said:

Great mod. I've tried for a long time to manually predict where I'm going to end up after re-entry, but could never get it quite right. Thanks.

I'm having a small issue, though. After returning to the KSC from any flight, the Adjustable Mod Panel goes berserk. Previously hidden icons crop up again, and cannot be hidden until the next game restart. It also displays strangely in that panel, showing as "Trajectories.bin" instead of simply "Trajectories" akin to the other mods. Uninstalling this mod immediately fixes the issue.

Adjustable Mod Panel wont work with Trajectories or Kerbalism due to the way we use a bootloader to load the correct bin file for the specific version of KSP being used, basically we don't have a single dll which AMP can unload or load.Maybe speak to the devs of AMP and see if they can make a workaround for their mod.

 

Edited by PiezPiedPy

Share this post


Link to post
Share on other sites

Hi @Kobymaru , Is there a way so I can see the predicted trajectory after staging, since most of the time, i've got something like reentry pod+service module/engine I decouple before reentry, then the predictions change slightly.

Is that possible, or do I need to eyeball it?

Thanks :)

Share this post


Link to post
Share on other sites
Posted (edited)
12 hours ago, PiezPiedPy said:

Adjustable Mod Panel wont work with Trajectories or Kerbalism due to the way we use a bootloader to load the correct bin file for the specific version of KSP being used, basically we don't have a single dll which AMP can unload or load.Maybe speak to the devs of AMP and see if they can make a workaround for their mod.

Kerbalism works fine with AMP, and the previous version of this mod (2.2.1, no bootloader) exhibits the exact same issue.

Edited by woodbyte

Share this post


Link to post
Share on other sites
5 hours ago, kurgut said:

Hi @Kobymaru , Is there a way so I can see the predicted trajectory after staging, since most of the time, i've got something like reentry pod+service module/engine I decouple before reentry, then the predictions change slightly. 

Is that possible, or do I need to eyeball it? 

No. Please read the FAQ in the first post.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.